> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shuttleパスマッピングインポートを作成

> Boxに保存されているパスマッピングのスプレッドシートを承認し、ジョブのパスマッピングを置き換えます。そのファイルがマッピングワークブックではない場合や、サイズの上限 (Boxのダウンロード上限である10 MiB) または行数の上限 (マッピング行数100,000) を超えている場合には、同期的に`400`が返され、ジョブに変更が加えられません。インポートが承認されると、常にそのジョブのパスマッピングがすべて置き換えられます。すべての行が有効である場合、ワークブックの内容がすべて導入されます。いずれかの行が無効である場合、パスマッピングが一切行われないままジョブが終了し、次回のインポートまたは次回の手動パスマッピング変更まで`mapping_state`が`paths_import_rejected`になります。行の問題は、`GET /shuttle_mapping_errors?job_id=…`をカテゴリ`path_import`で使用することでリスト表示できます。メッセージは`Row N: …`形式で、最大500個のエントリと1個のオーバーフローエントリが表示されます。承認後、検証と導入が非同期的に実行されます。`mapping_state`が`importing_paths`である間に、`GET /shuttle_jobs/{shuttle_job_id}`をポーリングします。1つのジョブで同時に実行できるインポートは1つのみです。

> [!NOTE]
>
> 「[Box SDKのバージョニング戦略](https://developer.box.com/ja/guides/tooling/sdks/sdk-versioning.md)について詳しく学ぶ。」


## OpenAPI

````yaml box-openapi-v2026.0-jp.json POST /shuttle_path_mapping_imports
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 0274a35f73
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: ドキュメント分割
    description: >-
      ページ割りされたソースドキュメントを、ユーザー定義のページ範囲またはAI生成のページ範囲に基づいて複数のファイルに分割するために使用される、一連のエンドポイント。
    x-box-tag: document_split
  - name: クエリ
    description: 項目に対するクエリ。
    x-box-tag: query
  - name: Shuttle
    description: >-
      外部ソースからBoxにコンテンツを移行するサービスであるBox
      Shuttleを管理するためのエンドポイント。これらのエンドポイントを使用して、Shuttleがコンテンツの移行元として使用するシステム、およびShuttleが実行する移行ジョブを管理します。
    x-box-tag: shuttle
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /shuttle_path_mapping_imports:
    post:
      tags:
        - Shuttle
      summary: Shuttleパスマッピングインポートを作成
      description: >-
        Boxに保存されているパスマッピングのスプレッドシートを承認し、ジョブのパスマッピングを置き換えます。そのファイルがマッピングワークブックではない場合や、サイズの上限
        (Boxのダウンロード上限である10 MiB) または行数の上限 (マッピング行数100,000)
        を超えている場合には、同期的に`400`が返され、ジョブに変更が加えられません。インポートが承認されると、常にそのジョブのパスマッピングがすべて置き換えられます。すべての行が有効である場合、ワークブックの内容がすべて導入されます。いずれかの行が無効である場合、パスマッピングが一切行われないままジョブが終了し、次回のインポートまたは次回の手動パスマッピング変更まで`mapping_state`が`paths_import_rejected`になります。行の問題は、`GET
        /shuttle_mapping_errors?job_id=…`をカテゴリ`path_import`で使用することでリスト表示できます。メッセージは`Row
        N:
        …`形式で、最大500個のエントリと1個のオーバーフローエントリが表示されます。承認後、検証と導入が非同期的に実行されます。`mapping_state`が`importing_paths`である間に、`GET
        /shuttle_jobs/{shuttle_job_id}`をポーリングします。1つのジョブで同時に実行できるインポートは1つのみです。
      operationId: post_shuttle_path_mapping_imports_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShuttlePathMappingImportCreateRequest'
            examples:
              workbook:
                summary: Import path mappings from a Box file
                value:
                  job_id: 6a3ba68e810d9156194530a1
                  file_id: '12345678901'
      responses:
        '202':
          description: >-
            インポートが承認されると、引き続いて検証と導入が非同期的に実行されます。`mapping_state`が`importing_paths`でなくなるまで、`GET
            /shuttle_jobs/{shuttle_job_id}`をポーリングします。拒否されたインポートは`mapping_state`
            `paths_import_rejected`で終了し、空のパスマッピングリストが返されます。インポートが成功すると、`paths_ready`や`ready`など、その後のマッピング準備状態に移行します。
        '400':
          description: >-
            リクエスト本文の形式が誤っているか、リクエストの検証に失敗した、または指定されたファイルがマッピングワークブックとして認められない
            (たとえば、スプレッドシートではない、マッピングシートが含まれていない、サイズ制限や行数制限を超えているなど)
            場合に返されます。何のデータも保存されず、ジョブのパスマッピングは変更されません。行レベルのマッピングエラーはここでは返されず、`202`の後に`paths_import_rejected`として非同期的に終了され、`GET
            /shuttle_mapping_errors`に表示されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 認証済みユーザーが、Enterpriseのプロパティを管理する権限を持つ管理者または共同管理者ではない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: >-
            Shuttleジョブが見つからない、または指定されたファイルが存在しないか認証済みユーザーによって読み取ることができない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '409':
          description: Shuttleジョブのインポートがすでに進行中である場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎる場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    ShuttlePathMappingImportCreateRequest:
      description: Boxに保存済みのスプレッドシートからShuttleジョブのパスマッピングをインポートするために使用するリクエスト本文。
      type: object
      properties:
        job_id:
          description: パスマッピングが置き換えられるShuttleジョブの一意の識別子。
          type: string
          example: 6a3ba68e810d9156194530a1
        file_id:
          description: >-
            マッピングワークブックが格納されているBoxファイルの一意の識別子。このファイルは呼び出し元ユーザーとして読み取られるため、そのユーザーがダウンロードできる場所に保存されている必要があります。
          type: string
          example: '12345678901'
      required:
        - job_id
        - file_id
      title: Shuttleパスマッピングインポート作成リクエスト
      x-box-resource-id: shuttle_path_mapping_import_create_request_v2026.0
      x-box-tag: shuttle
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````